Logic to create audio nodes out of HTML5 media elements

### Hierarchy

- SuiSampleMedia

## Index

### Constructors

- constructor

### Methods

- samplePromise

## Constructors

### constructor

- new SuiSampleMedia(): SuiSampleMedia

- #### Returns SuiSampleMedia

## Methods

### Static samplePromise

- samplePromise(audio: AudioContext): Promise<any>

- - Defined in src/render/audio/samples.ts:298

  Load samples so we can play the music

  #### Parameters

  - ##### audio: AudioContext

  #### Returns Promise<any>

  - promise, resolved when loaded

Generated using TypeDoc